petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMLoad

Loads a DM that has been stored in binary with DMView().

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMLoad(DM newdm, PetscViewer viewer)

Collective on PetscViewer Many br

### Input Parameters

| newdm | - the newly loaded DM, this needs to have been created with DMCreate() or Many brsome related function before a call to DMLoad(). Many br
| viewer | - binary file viewer, obtained from PetscViewerBinaryOpen() or Many brHDF5 file viewer, obtained from PetscViewerHDF5Open() Many br

Many br

### Notes

The type is determined by the data in the file, any type set into the DM before this call is ignored. Many br

### Notes for advanced users

Most users should not need to know the details of the binary storage Many brformat, since DMLoad() and DMView() completely hide these details. Many brBut for anyone who's interested, the standard binary matrix storage Many brformat is Many br

         has not yet been determined

Many br

### See Also

PetscViewerBinaryOpen(), DMView(), MatLoad(), VecLoad()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages